# Clear plots
if(!is.null(dev.list())) dev.off()
# Clear console
cat("\014") 
# Clean workspace
rm(list=ls())
#########################################################################################################
############################################## Settings #################################################
#########################################################################################################
require(ggplot2);require(reshape2);require(scales);require(grid);require(RColorBrewer)


########################################################
########################################################
dire.sim="Meyras/"
study.name.spd="SPD_AllPeriods/"
study.name.spd.4Q="SPD_4perPeriod/"
study.name.spd.8Q="SPD_8perPeriod/"

study.name.prior="SPD_AllPeriods/"

# Baratin All Q
study.name.baratin.per1="SD_Period1/"
study.name.baratin.per2="SD_Period2/"
study.name.baratin.per3="SD_Period3/"
study.name.baratin.per4="SD_Period4/"
study.name.baratin.per5="SD_Period5/"
# BARatin 4Q per period
study.name.baratin.per1.4Q="SD_Period1_4perPeriod/"
study.name.baratin.per2.4Q="SD_Period2_4perPeriod/"
study.name.baratin.per3.4Q="SD_Period3_4perPeriod/"
study.name.baratin.per4.4Q="SD_Period4_4perPeriod/"
study.name.baratin.per5.4Q="SD_Period5_4perPeriod/"
# BaRatin 8Q per period
study.name.baratin.per1.8Q="SD_Period1_8perPeriod/"
study.name.baratin.per2.8Q="SD_Period2_8perPeriod/"
study.name.baratin.per3.8Q="SD_Period3_8perPeriod/"
study.name.baratin.per4.8Q="SD_Period4_8perPeriod/"
study.name.baratin.per5.8Q="SD_Period5_8perPeriod/"

NameStudy="Meyras_fig11"
op_cooked=FALSE
nperiod=5

nburn=0.5;nslim=10

palette.col=c("#9E0142","#F46D43","#FFFFBF","#ABDDA4","#3288BD")

err.per=0.1;color.inter="#F4A582";color.interBorder="#F4A582";alpha.inter=0.5;color.gaugings="#0571B0"
na.rm=TRUE;shape.gaugings=18;size.gaugings=4;color.RC="#CA0020";size.RC=2;size.wind=20;size.axis=20
face.wind="bold";hydr.op=NULL;color.measurement="#92C5DE";na.rm.meas=TRUE;shape.meas=18;size.meas=4
error.bar.op=NULL;width.errorbar=0.005;time.unit="s";inter.hydr=NULL;blank=FALSE
param.plot=FALSE;color.param.inter="#FEE0B6";color.param.interBorder="#FEE0B6"
alpha.param.inter=0.5;hydr.op=1;time.unit="h";blank=TRUE;alpha.inter=0.5;
param.plot = TRUE;color.param.inter = "#B2ABD2";color.param.interBorder = "#B2ABD2";

widht.wind=7
height.wind=10
base.size=30
size.y.text=65
size.y.axis=70

strip.size=150

#########################################################################################################
############################################ Data loading ###############################################
#########################################################################################################

load.MCMC=function(path.name,file.name="Results_MCMC_Cooked.txt",op_slim=TRUE,nslim=10,nburn=0.5){
  res.data.tmp=as.matrix(read.table(paste(path.name,file.name,sep=""),header=TRUE,dec=".",sep=""))
  if(op_slim){
    nsim.tmp=length(res.data.tmp[,1])-1
    res.data=res.data.tmp[seq(nburn*nsim.tmp,nsim.tmp+1,nslim),]
  }else{
    res.data=res.data.tmp
  }
  return(res.data)
}


if(op_cooked){
  file.name.tmp="Results_MCMC_Cooked.txt"
}else{
  file.name.tmp="Results_MCMC.txt"
}
#### Cooked MCMC
# SPD
data.MCMC.SPD.all=load.MCMC(path.name=paste(dire.sim,study.name.spd,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SPD.4Q=load.MCMC(path.name=paste(dire.sim,study.name.spd.4Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SPD.8Q=load.MCMC(path.name=paste(dire.sim,study.name.spd.8Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
# Prior
data.MCMC.prior=load.MCMC(path.name=paste(dire.sim,study.name.spd,sep=""),file.name="Results_PriorMCSamples.txt",op_slim=!op_cooked)
# BaRatin 15 sim
data.MCMC.SD.per1.all=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per1,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per2.all=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per2,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per3.all=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per3,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per4.all=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per4,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per5.all=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per5,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)

data.MCMC.SD.per1.4Q=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per1.4Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per2.4Q=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per2.4Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per3.4Q=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per3.4Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per4.4Q=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per4.4Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per5.4Q=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per5.4Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)

data.MCMC.SD.per1.8Q=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per1.8Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per2.8Q=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per2.8Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per3.8Q=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per3.8Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per4.8Q=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per4.8Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)
data.MCMC.SD.per5.8Q=load.MCMC(path.name=paste(dire.sim,study.name.baratin.per5.8Q,sep=""),file.name=file.name.tmp,op_slim=!op_cooked)


## Convert MCMC into a "melt" data.frame

nprior=length(data.MCMC.prior[,1])
nSD.per=length(data.MCMC.SD.per1.all[,1])
nSPD.per=length(data.MCMC.SPD.all[,1])

breaks.a1=seq(0,70,10)
breaks.a2=seq(0,70,10)
breaks.a3=seq(0,70,10)
breaks.c1=seq(1.4,1.6,0.02)
breaks.c2=seq(1.5,1.8,0.02)
breaks.c3=seq(1.5,1.8,0.02)
breaks.b3=seq(0,2,0.2)
breaks.gamma1=seq(0,10,0.1)
breaks.gamma2=seq(0,10,0.1)
ylim.a1=c(0,30)
ylim.a2=seq(0,55)
ylim.a3=seq(0,75)
ylim.c1=c(1.425,1.60)
ylim.c2=c(1.575,1.75)
ylim.c3=c(1.575,1.75)
ylim.b3=c(0.5,1.9)
ylim.gamma1=c(0,0.8)
ylim.gamma2=c(0,0.6)

############ Coefficient a1
data.coefa1=data.frame(value=c(data.MCMC.prior[,6],data.MCMC.SPD.all[,6]
                               ,data.MCMC.SD.per1.all[,2],data.MCMC.SD.per2.all[,2],data.MCMC.SD.per3.all[,2]
                               ,data.MCMC.SD.per4.all[,2],data.MCMC.SD.per5.all[,2])
                       ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                              ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                              ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                       ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="a[1]"))

data.coefa1.4Q=data.frame(value=c(data.MCMC.prior[,6],data.MCMC.SPD.4Q[,6]
                               ,data.MCMC.SD.per1.4Q[,2],data.MCMC.SD.per2.4Q[,2],data.MCMC.SD.per3.4Q[,2]
                               ,data.MCMC.SD.per4.4Q[,2],data.MCMC.SD.per5.4Q[,2])
                       ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                      ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                    ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                       ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="a[1]"))

data.coefa1.8Q=data.frame(value=c(data.MCMC.prior[,6],data.MCMC.SPD.8Q[,6]
                                  ,data.MCMC.SD.per1.8Q[,2],data.MCMC.SD.per2.8Q[,2],data.MCMC.SD.per3.8Q[,2]
                                  ,data.MCMC.SD.per4.8Q[,2],data.MCMC.SD.per5.8Q[,2])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="a[1]"))


barplot.coefa1=ggplot(data.coefa1)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.a1,labels=breaks.a1)+
  coord_cartesian(ylim=ylim.a1)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefa1.4Q=ggplot(data.coefa1.4Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.a1,labels=breaks.a1)+
  coord_cartesian(ylim=ylim.a1)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefa1.8Q=ggplot(data.coefa1.8Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.a1,labels=breaks.a1)+
  coord_cartesian(ylim=ylim.a1)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_a1.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefa1)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_a1_4Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefa1.4Q)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_a1_8Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefa1.8Q)
dev.off()


############ Coefficient c1
data.coefc1=data.frame(value=c(data.MCMC.prior[,7],data.MCMC.SPD.all[,7]
                               ,data.MCMC.SD.per1.all[,3],data.MCMC.SD.per2.all[,3],data.MCMC.SD.per3.all[,3]
                               ,data.MCMC.SD.per4.all[,3],data.MCMC.SD.per5.all[,3])
                       ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                      ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                    ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                       ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="c[1]"))

data.coefc1.4Q=data.frame(value=c(data.MCMC.prior[,7],data.MCMC.SPD.4Q[,7]
                                  ,data.MCMC.SD.per1.4Q[,3],data.MCMC.SD.per2.4Q[,3],data.MCMC.SD.per3.4Q[,3]
                                  ,data.MCMC.SD.per4.4Q[,3],data.MCMC.SD.per5.4Q[,3])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="c[1]"))

data.coefc1.8Q=data.frame(value=c(data.MCMC.prior[,7],data.MCMC.SPD.8Q[,7]
                                  ,data.MCMC.SD.per1.8Q[,3],data.MCMC.SD.per2.8Q[,3],data.MCMC.SD.per3.8Q[,3]
                                  ,data.MCMC.SD.per4.8Q[,3],data.MCMC.SD.per5.8Q[,3])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="c[1]"))


barplot.coefc1=ggplot(data.coefc1)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.c1,labels=breaks.c1)+
  coord_cartesian(ylim=ylim.c1)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefc1.4Q=ggplot(data.coefc1.4Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.c1,labels=breaks.c1)+
  coord_cartesian(ylim=ylim.c1)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefc1.8Q=ggplot(data.coefc1.8Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.c1,labels=breaks.c1)+
  coord_cartesian(ylim=ylim.c1)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_c1.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefc1)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_c1_4Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefc1.4Q)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_c1_8Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefc1.8Q)
dev.off()

############ Coefficient c2
data.coefc2=data.frame(value=c(data.MCMC.prior[,14],data.MCMC.SPD.all[,14]
                               ,data.MCMC.SD.per1.all[,6],data.MCMC.SD.per2.all[,6],data.MCMC.SD.per3.all[,6]
                               ,data.MCMC.SD.per4.all[,6],data.MCMC.SD.per5.all[,6])
                       ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                      ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                    ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                       ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="c[2]"))

data.coefc2.4Q=data.frame(value=c(data.MCMC.prior[,14],data.MCMC.SPD.4Q[,14]
                                  ,data.MCMC.SD.per1.4Q[,6],data.MCMC.SD.per2.4Q[,6],data.MCMC.SD.per3.4Q[,6]
                                  ,data.MCMC.SD.per4.4Q[,6],data.MCMC.SD.per5.4Q[,6])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="c[2]"))

data.coefc2.8Q=data.frame(value=c(data.MCMC.prior[,14],data.MCMC.SPD.8Q[,14]
                                  ,data.MCMC.SD.per1.8Q[,6],data.MCMC.SD.per2.8Q[,6],data.MCMC.SD.per3.8Q[,6]
                                  ,data.MCMC.SD.per4.8Q[,6],data.MCMC.SD.per5.8Q[,6])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="c[2]"))


barplot.coefc2=ggplot(data.coefc2)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.c2,labels=breaks.c2)+
  coord_cartesian(ylim=ylim.c2)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefc2.4Q=ggplot(data.coefc2.4Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.c2,labels=breaks.c2)+
  coord_cartesian(ylim=ylim.c2)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefc2.8Q=ggplot(data.coefc2.8Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.c2,labels=breaks.c2)+
  coord_cartesian(ylim=ylim.c2)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_c2.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefc2)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_c2_4Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefc2.4Q)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_c2_8Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefc2.8Q)
dev.off()

############ Coefficient c3
data.coefc3=data.frame(value=c(data.MCMC.prior[,17],data.MCMC.SPD.all[,17]
                               ,data.MCMC.SD.per1.all[,9],data.MCMC.SD.per2.all[,9],data.MCMC.SD.per3.all[,9]
                               ,data.MCMC.SD.per4.all[,9],data.MCMC.SD.per5.all[,9])
                       ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                      ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                    ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                       ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="c[3]"))

data.coefc3.4Q=data.frame(value=c(data.MCMC.prior[,17],data.MCMC.SPD.4Q[,17]
                                  ,data.MCMC.SD.per1.4Q[,9],data.MCMC.SD.per2.4Q[,9],data.MCMC.SD.per3.4Q[,9]
                                  ,data.MCMC.SD.per4.4Q[,9],data.MCMC.SD.per5.4Q[,9])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="c[3]"))

data.coefc3.8Q=data.frame(value=c(data.MCMC.prior[,17],data.MCMC.SPD.8Q[,17]
                                  ,data.MCMC.SD.per1.8Q[,9],data.MCMC.SD.per2.8Q[,9],data.MCMC.SD.per3.8Q[,9]
                                  ,data.MCMC.SD.per4.8Q[,9],data.MCMC.SD.per5.8Q[,9])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="c[3]"))


barplot.coefc3=ggplot(data.coefc3)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.c3,labels=breaks.c3)+
  coord_cartesian(ylim=ylim.c3)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefc3.4Q=ggplot(data.coefc3.4Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.c3,labels=breaks.c3)+
  coord_cartesian(ylim=ylim.c3)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefc3.8Q=ggplot(data.coefc3.8Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.c3,labels=breaks.c3)+
  coord_cartesian(ylim=ylim.c3)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_c3.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefc3)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_c3_4Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefc3.4Q)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_c3_8Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefc3.8Q)
dev.off()

############ Coefficient a2
data.coefa2=data.frame(value=c(data.MCMC.prior[,13],data.MCMC.SPD.all[,13]
                               ,data.MCMC.SD.per1.all[,5],data.MCMC.SD.per2.all[,5],data.MCMC.SD.per3.all[,5]
                               ,data.MCMC.SD.per4.all[,5],data.MCMC.SD.per5.all[,5])
                       ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                      ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                    ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                       ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="a[2]"))

data.coefa2.4Q=data.frame(value=c(data.MCMC.prior[,13],data.MCMC.SPD.4Q[,13]
                                  ,data.MCMC.SD.per1.4Q[,5],data.MCMC.SD.per2.4Q[,5],data.MCMC.SD.per3.4Q[,5]
                                  ,data.MCMC.SD.per4.4Q[,5],data.MCMC.SD.per5.4Q[,5])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="a[2]"))

data.coefa2.8Q=data.frame(value=c(data.MCMC.prior[,13],data.MCMC.SPD.8Q[,13]
                                  ,data.MCMC.SD.per1.8Q[,5],data.MCMC.SD.per2.8Q[,5],data.MCMC.SD.per3.8Q[,5]
                                  ,data.MCMC.SD.per4.8Q[,5],data.MCMC.SD.per5.8Q[,5])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="a[2]"))


barplot.coefa2=ggplot(data.coefa2)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.a2,labels=breaks.a2)+
  coord_cartesian(ylim=ylim.a2)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefa2.4Q=ggplot(data.coefa2.4Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.a2,labels=breaks.a2)+
  coord_cartesian(ylim=ylim.a2)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefa2.8Q=ggplot(data.coefa2.8Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.a2,labels=breaks.a2)+
  coord_cartesian(ylim=ylim.a2)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_a2.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefa2)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_a2_4Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefa2.4Q)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_a2_8Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefa2.8Q)
dev.off()


############ Coefficient a3
data.coefa3=data.frame(value=c(data.MCMC.prior[,16],data.MCMC.SPD.all[,16]
                               ,data.MCMC.SD.per1.all[,8],data.MCMC.SD.per2.all[,8],data.MCMC.SD.per3.all[,8]
                               ,data.MCMC.SD.per4.all[,8],data.MCMC.SD.per5.all[,8])
                       ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                      ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                    ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                       ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="a[3]"))

data.coefa3.4Q=data.frame(value=c(data.MCMC.prior[,16],data.MCMC.SPD.4Q[,16]
                                  ,data.MCMC.SD.per1.4Q[,8],data.MCMC.SD.per2.4Q[,8],data.MCMC.SD.per3.4Q[,8]
                                  ,data.MCMC.SD.per4.4Q[,8],data.MCMC.SD.per5.4Q[,8])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="a[3]"))

data.coefa3.8Q=data.frame(value=c(data.MCMC.prior[,16],data.MCMC.SPD.8Q[,16]
                                  ,data.MCMC.SD.per1.8Q[,8],data.MCMC.SD.per2.8Q[,8],data.MCMC.SD.per3.8Q[,8]
                                  ,data.MCMC.SD.per4.8Q[,8],data.MCMC.SD.per5.8Q[,8])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="a[3]"))


barplot.coefa3=ggplot(data.coefa3)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.a3,labels=breaks.a3)+
  coord_cartesian(ylim=ylim.a3)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefa3.4Q=ggplot(data.coefa3.4Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.a3,labels=breaks.a3)+
  coord_cartesian(ylim=ylim.a3)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefa3.8Q=ggplot(data.coefa3.8Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.a3,labels=breaks.a3)+
  coord_cartesian(ylim=ylim.a3)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_a3.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefa3)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_a3_4Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefa3.4Q)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_a3_8Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefa3.8Q)
dev.off()

############ Coefficient b3
data.coefb3=data.frame(value=c(data.MCMC.prior[,15],data.MCMC.SPD.all[,15]
                               ,data.MCMC.SD.per1.all[,7],data.MCMC.SD.per2.all[,7],data.MCMC.SD.per3.all[,7]
                               ,data.MCMC.SD.per4.all[,7],data.MCMC.SD.per5.all[,7])
                       ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                      ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                    ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                       ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="b[3]"))

data.coefb3.4Q=data.frame(value=c(data.MCMC.prior[,15],data.MCMC.SPD.4Q[,15]
                                  ,data.MCMC.SD.per1.4Q[,7],data.MCMC.SD.per2.4Q[,7],data.MCMC.SD.per3.4Q[,7]
                                  ,data.MCMC.SD.per4.4Q[,7],data.MCMC.SD.per5.4Q[,7])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="b[3]"))

data.coefb3.8Q=data.frame(value=c(data.MCMC.prior[,15],data.MCMC.SPD.8Q[,15]
                                  ,data.MCMC.SD.per1.8Q[,7],data.MCMC.SD.per2.8Q[,7],data.MCMC.SD.per3.8Q[,7]
                                  ,data.MCMC.SD.per4.8Q[,7],data.MCMC.SD.per5.8Q[,7])
                          ,type=factor(c(rep("Prior",nprior),rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("Prior","SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nprior+nSPD.per+5*nSD.per),levels=1,labels="b[3]"))


barplot.coefb3=ggplot(data.coefb3)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.b3,labels=breaks.b3)+
  coord_cartesian(ylim=ylim.b3)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefb3.4Q=ggplot(data.coefb3.4Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.b3,labels=breaks.b3)+
  coord_cartesian(ylim=ylim.b3)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefb3.8Q=ggplot(data.coefb3.8Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#737373","#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.b3,labels=breaks.b3)+
  coord_cartesian(ylim=ylim.b3)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_b3.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefb3)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_b3_4Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefb3.4Q)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_b3_8Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefb3.8Q)
dev.off()


############ Coefficient gamma1
data.coefgamma1=data.frame(value=c(data.MCMC.SPD.all[,18]
                               ,data.MCMC.SD.per1.all[,10],data.MCMC.SD.per2.all[,10],data.MCMC.SD.per3.all[,10]
                               ,data.MCMC.SD.per4.all[,10],data.MCMC.SD.per5.all[,10])
                       ,type=factor(c(rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                      ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                    ,levels=c("SPD","SD1","SD2","SD3","SD4","SD5"))
                       ,Period=factor(rep(1,nSPD.per+5*nSD.per),levels=1,labels="gamma[1]"))

data.coefgamma1.4Q=data.frame(value=c(data.MCMC.SPD.4Q[,18]
                                  ,data.MCMC.SD.per1.4Q[,10],data.MCMC.SD.per2.4Q[,10],data.MCMC.SD.per3.4Q[,10]
                                  ,data.MCMC.SD.per4.4Q[,10],data.MCMC.SD.per5.4Q[,10])
                          ,type=factor(c(rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nSPD.per+5*nSD.per),levels=1,labels="gamma[1]"))

data.coefgamma1.8Q=data.frame(value=c(data.MCMC.SPD.8Q[,18]
                                  ,data.MCMC.SD.per1.8Q[,10],data.MCMC.SD.per2.8Q[,10],data.MCMC.SD.per3.8Q[,10]
                                  ,data.MCMC.SD.per4.8Q[,10],data.MCMC.SD.per5.8Q[,10])
                          ,type=factor(c(rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                         ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                       ,levels=c("SPD","SD1","SD2","SD3","SD4","SD5"))
                          ,Period=factor(rep(1,nSPD.per+5*nSD.per),levels=1,labels="gamma[1]"))


barplot.coefgamma1=ggplot(data.coefgamma1)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.gamma1,labels=breaks.gamma1)+
  coord_cartesian(ylim=ylim.gamma1)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefgamma1.4Q=ggplot(data.coefgamma1.4Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.gamma1,labels=breaks.gamma1)+
  coord_cartesian(ylim=ylim.gamma1)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefgamma1.8Q=ggplot(data.coefgamma1.8Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.gamma1,labels=breaks.gamma1)+
  coord_cartesian(ylim=ylim.gamma1)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_gamma1.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefgamma1)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_gamma1_4Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefgamma1.4Q)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_gamma1_8Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefgamma1.8Q)
dev.off()


############ Coefficient gamma2
data.coefgamma2=data.frame(value=c(data.MCMC.SPD.all[,19]
                                   ,data.MCMC.SD.per1.all[,11],data.MCMC.SD.per2.all[,11],data.MCMC.SD.per3.all[,11]
                                   ,data.MCMC.SD.per4.all[,11],data.MCMC.SD.per5.all[,11])
                           ,type=factor(c(rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                          ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                        ,levels=c("SPD","SD1","SD2","SD3","SD4","SD5"))
                           ,Period=factor(rep(1,nSPD.per+5*nSD.per),levels=1,labels="gamma[2]"))

data.coefgamma2.4Q=data.frame(value=c(data.MCMC.SPD.4Q[,19]
                                      ,data.MCMC.SD.per1.4Q[,11],data.MCMC.SD.per2.4Q[,11],data.MCMC.SD.per3.4Q[,11]
                                      ,data.MCMC.SD.per4.4Q[,11],data.MCMC.SD.per5.4Q[,11])
                              ,type=factor(c(rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                             ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                           ,levels=c("SPD","SD1","SD2","SD3","SD4","SD5"))
                              ,Period=factor(rep(1,nSPD.per+5*nSD.per),levels=1,labels="gamma[2]"))

data.coefgamma2.8Q=data.frame(value=c(data.MCMC.SPD.8Q[,19]
                                      ,data.MCMC.SD.per1.8Q[,11],data.MCMC.SD.per2.8Q[,11],data.MCMC.SD.per3.8Q[,11]
                                      ,data.MCMC.SD.per4.8Q[,11],data.MCMC.SD.per5.8Q[,11])
                              ,type=factor(c(rep("SPD",nSPD.per),rep("SD1",nSD.per),rep("SD2",nSD.per)
                                             ,rep("SD3",nSD.per),rep("SD4",nSD.per),rep("SD5",nSD.per))
                                           ,levels=c("SPD","SD1","SD2","SD3","SD4","SD5"))
                              ,Period=factor(rep(1,nSPD.per+5*nSD.per),levels=1,labels="gamma[2]"))


barplot.coefgamma2=ggplot(data.coefgamma2)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.gamma2,labels=breaks.gamma2)+
  coord_cartesian(ylim=ylim.gamma2)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefgamma2.4Q=ggplot(data.coefgamma2.4Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.gamma2,labels=breaks.gamma2)+
  coord_cartesian(ylim=ylim.gamma2)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

barplot.coefgamma2.8Q=ggplot(data.coefgamma2.8Q)+
  geom_boxplot(aes(x=type,y=value,group=type,fill=type),colour="black",outlier.shape = NA,size=1)+
  facet_grid(~Period,scales="free",labeller = label_parsed)+
  xlab(expression(paste("Period k",sep="")))+
  ylab(expression(paste("Value",sep="")))+
  # ylab(expression(paste("Transition stage ",kappa^{(k)}," [m]",sep="")))+
  # scale_fill_manual(values = c("#f4a582","#0571b0","#92c5de"))+
  scale_fill_manual(values = c("#ffffff",palette.col))+
  scale_y_continuous(breaks=breaks.gamma2,labels=breaks.gamma2)+
  coord_cartesian(ylim=ylim.gamma2)+
  theme_bw(base_size=base.size)+
  theme(axis.text=element_text(size=size.y.text),axis.title=element_text(size=size.y.axis,face="bold")
        ,panel.grid.major=element_line(size=1.2),panel.grid.minor=element_line(size=0.8)
        ,legend.text=element_text(size=15),legend.title=element_text(size=30)
        ,legend.key.size=unit(1.5, "cm"),legend.position="none"
        ,strip.text.x=element_text(size = strip.size,face="bold"),axis.title.x=element_blank()
        ,axis.text.x=element_blank(),axis.ticks.x=element_blank()
        ,strip.background = element_rect(fill = "white"))

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_gamma2.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefgamma2)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_gamma2_4Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefgamma2.4Q)
dev.off()

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_gamma2_8Q.PDF",sep=""),widht.wind,height.wind,useDingbats=F)
print(barplot.coefgamma2.8Q)
dev.off()

###### all in one

m=list(NULL)

m[[1]]=barplot.coefa1.4Q;m[[2]]=barplot.coefc1.4Q;m[[3]]=barplot.coefa2.4Q;m[[4]]=barplot.coefc2.4Q;m[[5]]=barplot.coefa3.4Q
m[[6]]=barplot.coefb3.4Q;m[[7]]=barplot.coefc3.4Q;m[[8]]=barplot.coefgamma1.4Q;m[[9]]=barplot.coefgamma2.4Q
m[[10]]=barplot.coefa1.8Q;m[[11]]=barplot.coefc1.8Q;m[[12]]=barplot.coefa2.8Q;m[[13]]=barplot.coefc2.8Q;m[[14]]=barplot.coefa3.8Q
m[[15]]=barplot.coefb3.8Q;m[[16]]=barplot.coefc3.8Q;m[[17]]=barplot.coefgamma1.8Q;m[[18]]=barplot.coefgamma2.8Q
m[[19]]=barplot.coefa1;m[[20]]=barplot.coefc1;m[[21]]=barplot.coefa2;m[[22]]=barplot.coefc2;m[[23]]=barplot.coefa3
m[[24]]=barplot.coefb3;m[[25]]=barplot.coefc3;m[[26]]=barplot.coefgamma1;m[[27]]=barplot.coefgamma2

layout=NULL
if(is.null(layout)){
  layout <- matrix(seq(1, 9 * 3),
                   ncol = 9, nrow = 3,byrow = TRUE)
}

pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_all_strip.PDF",sep=""),(widht.wind-1)*9,height.wind*3,useDingbats=F)

grid.newpage()
pushViewport(viewport(layout = grid.layout(nrow(layout), ncol(layout))))

for(i in 1:27){
  matchidx <- as.data.frame(which(layout == i, arr.ind = TRUE))    
  m.tmp=m[[i]]+theme(axis.title=element_blank())
  print(m.tmp, vp = viewport(layout.pos.row = matchidx$row,
                         layout.pos.col = matchidx$col))
}
dev.off()



pdf(paste(NameStudy,"_CompSFD_BoxplotCoefficient_all_strip.PDF",sep=""),(widht.wind-1)*9,(height.wind-2)*3,useDingbats=F)

grid.newpage()
pushViewport(viewport(layout = grid.layout(nrow(layout), ncol(layout))))

for(i in 1:27){
  matchidx <- as.data.frame(which(layout == i, arr.ind = TRUE))    
  m.tmp=m[[i]]+theme(axis.title=element_blank(),strip.text.x=element_blank())
  print(m.tmp, vp = viewport(layout.pos.row = matchidx$row,
                             layout.pos.col = matchidx$col))
}

dev.off()

